/*--------------------------------------------------------------------------
  (c) Vinod Dahiya & Hemant Kumar
----------------------------------------------------------------------------
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
--------------------------------------------------------------------------*/


#ifndef CODEVIEW_H__
#define CODEVIEW_H__

/*############### Enumerations Fo Column no. ####################*/
enum CODEVIEW_COL{ TR_COL,BR_COL,ADDR_COL,LABEL_COL,MNE_COL,OP1_COL,OP2_COL,COMMT_COL};

/*################### Globals #######################*/
extern GtkWidget *codeview_notebook ;
extern GtkWidget *last_page_label;
extern GtkWidget *current_page;
extern GtkWidget *current_code_tree;
extern GtkTreeModel *current_code_model;
extern GtkTreeSelection *current_code_selection;
extern GtkTreeIter current_code_iter;


/*############### Function #########################*/
extern GtkWidget *gsim_get_codview(void);
extern gchar *codeview_new_label(void);
extern void gsim_make_codeview_child( gchar *codeview_child_label );
extern void gsim_insert_row_after();
extern void gsim_insert_row_before();
extern void gsim_remove_row();
extern void gsim_edit();

#endif
